RegionFunctionContext (Apache Geode 1.12.8)
Date: 2022-01-10

org.apache.geode.cache.execute

## Interface RegionFunctionContext

- All Superinterfaces:
    FunctionContext

      public interface RegionFunctionContext
      extends FunctionContext

  Defines the execution context of a data dependent `Function`. Applications can use the methods provided to retrieve the Region and context specific routing objects. When the function is executed using `FunctionService.onRegion(Region)`, the `FunctionContext` can be typecast to this type.

  If the region is a partitioned region, `PartitionRegionHelper` can be used to get local and colocated data references.

  Since:
    GemFire 6.0
  See Also:
    `FunctionContext`, `PartitionRegionHelper`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,V> Region<K,V>` | `getDataSet()` Returns the reference to the Region on which the function is executed
    `Set<?>` | `getFilter()` Returns subset of keys (filter) provided by the invoking thread (aka routing objects).

    - ### Methods inherited from interface org.apache.geode.cache.execute.FunctionContext

      `getArguments, getCache, getFunctionId, getMemberName, getPrincipal, getResultSender, isPossibleDuplicate`

- - ### Method Detail

    - #### getFilter

          Set<?> getFilter()

      Returns subset of keys (filter) provided by the invoking thread (aka routing objects). The set of filter keys are locally present in the datastore on the executing cluster member.
      Returns:
        the objects that caused the function to be routed to this cluster member
      Since:
        GemFire 6.0
      See Also:
        `Execution.withFilter(Set)`

    - #### getDataSet

          <K,V> Region<K,V> getDataSet()

      Returns the reference to the Region on which the function is executed
      Returns:
        returns the Region on which the function is executed
      Since:
        GemFire 6.0
      See Also:
        `FunctionService.onRegion(Region)`